Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transformer
Class AbstractDiscoverableTransformer

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.AbstractDiscoverableTransformer

All Implemented Interfaces:
  MuleContextAware, MuleContextNotificationListener<MuleContextNotification>, ServerNotificationListener<MuleContextNotification>, Disposable, Initialisable, NamedObject, MessageProcessor, DiscoverableTransformer, Transformer, EndpointAware

Direct Known Subclasses:
  BaseToOutputHandler, HttpRequestToByteArray, HttpRequestToInputStream, ObjectToFeed, ObjectToRssFeed

    public abstract class AbstractDiscoverableTransformer

extends AbstractTransformer
implements DiscoverableTransformer

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`encoding, endpoint, logger, mimeType, MULE_MESSAGE_DATA_TYPE, muleContext, name, returnType, sourceTypes`

Fields inherited from interface org.mule.api.transformer.DiscoverableTransformer
`DEFAULT_PRIORITY_WEIGHTING, MAX_PRIORITY_WEIGHTING, MIN_PRIORITY_WEIGHTING`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`AbstractDiscoverableTransformer()`

Method Summary
`int` | `getPriorityWeighting()` If 2 or more discoverable transformers are equal, this value can be used to select the correct one
`void` | `setPriorityWeighting(int weighting)` If 2 or more discoverable transformers are equal, this value can be used to select the correct one

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, dispose, doTransform, generateTransformerName, getEncoding, getEncoding, getEndpoint, getMimeType, getName, getReturnClass, getReturnDataType, getSourceDataTypes, getSourceTypes, initialise, isAcceptNull, isAllowNullReturn, isConsumed, isIgnoreBadInput, isSourceDataTypeSupported, isSourceDataTypeSupported, isSourceTypeSupported, isSourceTypeSupported, onNotification, process, registerSourceType, registerSourceType, setAllowNullReturn, setEncoding, setEndpoint, setIgnoreBadInput, setMimeType, setMuleContext, setName, setReturnClass, setReturnDataType, toString, transform, transform, unregisterSourceType, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractDiscoverableTransformer

    public AbstractDiscoverableTransformer()

Method Detail

### getPriorityWeighting

    public int getPriorityWeighting()

  Description copied from interface: `DiscoverableTransformer`
  If 2 or more discoverable transformers are equal, this value can be used to select the correct one

  Specified by:
    `getPriorityWeighting` in interface `DiscoverableTransformer`
  Returns:
    the priority weighting for this transformer. This is a value between `DiscoverableTransformer.MIN_PRIORITY_WEIGHTING` and `DiscoverableTransformer.MAX_PRIORITY_WEIGHTING`.

### setPriorityWeighting

    public void setPriorityWeighting(int weighting)

  Description copied from interface: `DiscoverableTransformer`
  If 2 or more discoverable transformers are equal, this value can be used to select the correct one

  Specified by:
    `setPriorityWeighting` in interface `DiscoverableTransformer`
  Parameters:
    `weighting` - the priority weighting for this transformer. This is a value between `DiscoverableTransformer.MIN_PRIORITY_WEIGHTING` and `DiscoverableTransformer.MAX_PRIORITY_WEIGHTING`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.